# Generated by Django 4.2.1 on 2023-10-14 16:33

import django.contrib.postgres.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Event',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('modified_date', models.DateTimeField(auto_now=True)),
                ('title', models.CharField(help_text='Short title', max_length=512, verbose_name='Title')),
                ('status', models.CharField(choices=[('published', 'Published'), ('trash', 'Trash'), ('draft', 'Draft')], default='published', max_length=20, verbose_name='Status')),
                ('start_day', models.DateField(help_text='Day of the event', verbose_name='Day of the event')),
                ('start_time', models.TimeField(blank=True, help_text='Starting time', null=True, verbose_name='Starting time')),
                ('end_day', models.DateField(blank=True, help_text='End day of the event, only required if different from the start day.', null=True, verbose_name='End day of the event')),
                ('end_time', models.TimeField(blank=True, help_text='Final time', null=True, verbose_name='Final time')),
                ('location', models.CharField(help_text='Address of the event', max_length=512, verbose_name='Location')),
                ('description', models.TextField(blank=True, help_text='General description of the event', null=True, verbose_name='Description')),
                ('image', models.URLField(blank=True, help_text='URL of the illustration image', null=True, verbose_name='Illustration')),
                ('image_alt', models.CharField(blank=True, help_text='Alternative text used by screen readers for the image', max_length=512, null=True, verbose_name='Illustration description')),
                ('reference_urls', django.contrib.postgres.fields.ArrayField(base_field=models.URLField(), blank=True, help_text='List of all the urls where this event can be found.', null=True, size=None, verbose_name='URLs')),
            ],
            options={
                'verbose_name': 'Event',
                'verbose_name_plural': 'Events',
            },
        ),
    ]
